Error: /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8‘ not found (required by /usr/anaconda3/bin/)-阿里云开发者社区

开发者社区> DrugAI> 正文

Error: /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8‘ not found (required by /usr/anaconda3/bin/)

简介: Error: /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8‘ not found (required by /usr/anaconda3/bin/)
+关注继续查看

###

Error: /usr/lib64/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by /usr/anaconda3/bin/../lib/./libicui18n.so.58)

###

一、

strings /usr/lib64/libstdc++.so.6|grep CXXABI

image.png

二、

strings /usr/anaconda3/lib/libstdc++.so.6 | grep 'CXXABI'

strings /usr/anaconda3/lib/libstdc++.so.6 | grep 'CXXABI'

image.png

三、复制动态库

cp /usr/anaconda3/lib/libstdc++.so.6.0.24 /usr/lib64

四、删除原来的libstdc++.so.6符号连接。

cd /usr/lib64  

rm -rf libstdc++.so.6

五、新建新符号连接。

ln -s libstdc++.so.6.0.24 libstdc++.so.6

ldconfig

 

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
+关注
497
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
《2021云上架构与运维峰会演讲合集》
立即下载
《零基础CSS入门教程》
立即下载
《零基础HTML入门教程》
立即下载